﻿using System;
using System.Globalization;
using System.Windows.Data;
using FDOT.GIS.Client.Domain.Gis;

namespace FDOT.GIS.Client.Components.Converters
{

    public class BasemapVisibleConvertor : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null) return false;
            var val = value as string;
            if (val == null) return false;

            return MapHandler.BaseMap.Name.Equals(val);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
