﻿using System;
using System.Globalization;
using System.Windows;
using FDOT.GIS.Client.Domain.Gis;

namespace FDOT.GIS.Client.Components.Converters
{
    public class DisplayLayerToVisibilityConverter : System.Windows.Data.IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if(value == null)
                return Visibility.Collapsed;

            var layer = value as DisplayLayer;
            if (layer == null) return Visibility.Collapsed;

            if (!layer.IsEnabled) return Visibility.Collapsed;

            return Visibility.Visible;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
