﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Windows;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using FDOT.GIS.Client.Domain;
using FDOT.GIS.Client.Domain.Gis;
using FDOT.GIS.Client.ViewModels;

namespace FDOT.GIS.Client.Components
{
    [Export]
    [PartCreationPolicy(CreationPolicy.Shared)]
    public class NextExtentComponent : ComponentBase
    {
        protected override void OnExecute()
        {
            if (MapHandler.HasNextExtents)
            { MapHandler.GoToNextExtent(); }
        }

        protected override string GetIconResourceUri()
        {
            return "Assets/Images/next_extent.png";
        }
    }

}
