﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel.Composition;
using FDOT.GIS.Client.Domain;
using FDOT.GIS.Client.Domain.Gis;
namespace FDOT.GIS.Client.Components
{
    [Export]
    [PartCreationPolicy(CreationPolicy.Shared)]
    public class PreviousExtentComponent : ComponentBase
    {
        protected override void OnExecute()
        {
            if (MapHandler.HasPreviousExtents)
                MapHandler.GoToPreviousExtent();
        }

        protected override string GetIconResourceUri()
        {
            return "Assets/Images/previous_extent.png";
        }
    }
}