﻿using System;
using System.Collections.Generic;

namespace FDOT.GIS.Client.Components.StartupActions
{
    public interface IInitialMessageProvider
    {
        void LoadMessages();
        event EventHandler MessagesLoaded;
        IEnumerable<IInitialMessage> InitialMessages { get; }
    }

    public class InitialMessage:IInitialMessage
    {
        public string HeadingText { get; set; }
        public IEnumerable<string> Messages { get; set; }
    }

    public interface IInitialMessage
    {
        string HeadingText { get; set; }
        IEnumerable<string> Messages { get; set; }
    }
}