﻿using System;
using FDOT.GIS.Client.Domain;

namespace FDOT.GIS.Client.Components.ViewModels.Help
{
    public class TocHelpViewModel
    {
        public Uri DemoLinkUri
        {
            get
            {
                return new Uri("http://cbtsystest.dot.state.fl.us/ois/GEVCBTs/TableOfContents.htm");
            }
        }

        public Uri BasicControlsImage
        {
            get
            {
                return new Uri(VirtualApplicationManager.HostSiteUrl + "Images/layers-collapsed-annotated.png");
            }
        }

        public Uri BaseMapsImage
        {
            get
            {
                return new Uri(VirtualApplicationManager.HostSiteUrl + "Images/layers-basemaps.png");
            }
        }

        public Uri DynamicMapServiceLayersImage
        {
            get
            {
                return new Uri(VirtualApplicationManager.HostSiteUrl + "Images/layers-dynamic.png");
            }
        }

        public Uri DynamicMapServiceLegendImage
        {
            get
            {
                return new Uri(VirtualApplicationManager.HostSiteUrl + "Images/layers-dynamic-legend.png");
            }
        }

        public Uri AddDataImage
        {
            get
            {
                return new Uri(VirtualApplicationManager.HostSiteUrl + "Images/AddDataTocHelp.png");
            }
        }

        public Uri AddMapServiceImage
        {
            get
            {
                return new Uri(VirtualApplicationManager.HostSiteUrl + "Images/addmapservicehelp.png");
            }
        }

        public Uri LoadShapeFileImage
        {
            get
            {
                return new Uri(VirtualApplicationManager.HostSiteUrl + "Images/loadshapefilehelp.png");
            }
        }

        public bool ShowAddData
        { get; set; }
    }
}
